<?php

defined('JPATH_PLATFORM') or die;

use LMS\Libraries;

JFormHelper::loadFieldClass('list');
use LMS\Libraries\Servicelocator;

class JFormFieldCourse extends JFormFieldList
{	
	protected $type = 'Course';
	
	protected function getOptions()
	{		
		$assets = ServiceLocator::get('assets');		
		$assets->addScript('assets/js/fields/course.js');		
		
		Libraries\ServiceLocator::load('lib.form.fields');
		$rep	= Libraries\ServiceLocator::get('course_rep');		
		$items = $rep->getByFilter(array(
				'fields'=>'course.title, course.id'				
		));		
						
		$options = array();
		$options[] = JHtml::_('select.option', '', '', 'value', 'text', false);
		
		foreach($items AS $item) {		
			$options[] = JHtml::_('select.option', $item->id, $item->title, 'value', 'text',	false);
		}	
		
		return $options;
	}
}
?>