<?php
defined('_JEXEC') or die;

JHtml::_('formbehavior.chosen', 'select:not(.chzn-done)');

$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
$saveOrder	= $listOrder == 'ordering';

if($saveOrder){
	$saveOrderingUrl = 'index.php?option=com_joomla_lms&task=homework.homeworks.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'homeworkList', 'adminForm', strtolower($listDirn), $saveOrderingUrl);
}

JHtml::_('searchtools.form', '#adminForm');
?>

<script type="text/javascript">
	Joomla.orderTable = function()
	{
		table = document.getElementById("sortTable");
		direction = document.getElementById("directionTable");
		order = table.options[table.selectedIndex].value;
		if (order != '<?php echo $listOrder; ?>')
		{
			dirn = 'asc';
		}
		else
		{
			dirn = direction.options[direction.selectedIndex].value;
		}
		Joomla.tableOrdering(order, dirn, '');
	}
</script>

<div class="row-fluid">
	<?php
	echo new \LMS\Widgets\ContentHeader(array('title' => _JLMS_HW_TITLE_HW, 'icon' => 'assignments'));
	?>

	<div class="row-fluid">
		<?php
		echo $this->toolbar;
		?>
	</div>

	<?php
	/*
	?>
	<div class="row-fluid">
		<div class="span3">
			<table class="table table-bordered">
				<tr>
					<td class="nowrap">
						<?php echo JText::_('Start Date');?>:
					</td>
					<td class="nowrap">
						<?php echo $this->hw_item->start_date;?>
					</td>
				</tr>
				<tr>
					<td class="nowrap">
						<?php echo JText::_('End Date');?>:
					</td>
					<td class="nowrap">
						<?php echo $this->hw_item->end_date;?>
					</td>
				</tr>
			</table>
		</div>
	</div>
	<?php
	*/
	?>

	<div class="row-fluid">
		<form action="<?php echo JRoute::_('index.php?option=com_joomla_lms&task=homework.results.show&course_id='.$this->state->get('courseId').'&id='.$this->state->get('homeworkId')); ?>" method="post" id="adminForm" name="adminForm" class="form-validate form-vertical">

			<?php
			echo $this->filters;
			?>

			<?php
			if(isset($this->items) && is_array($this->items) && count($this->items)){
			?>
			<div class="row-fluid">
				<table id="homeworkList" class="table table-striped">
					<thead>
					<tr>
						<th width="1%" class="hidden">
							<input type="checkbox" name="checkall-toggle" value="" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)" />
						</th>
						<th width="1%"><?php echo JText::_('Action');?></th>
						<th width="30%">
							<?php echo JHtml::_('searchtools.sort', 'Student', 'name', $listDirn, $listOrder); ?>
						</th>
						<th width="5%" class="center"><?php echo JText::_('Status');?></th>
						<th width="5%" class="center"><?php echo JText::_('Grade');?></th>
						<th class="hidden-tablet hidden-phone"><?php echo JText::_('Groups');?></th>
						<th class="nowrap" width="5%"><?php echo JText::_('Date');?></th>
					</tr>
					</thead>
					<tbody>
					<?php
					if($this->items)
					{
						foreach($this->items as $i => $item)
						{
							$number = $i + 1;
							?>
							<tr class="row<?php echo $i % 2;?>" sortable-group-id="<?php echo $item->course_id;?>">
								<td class="hidden"><?php echo $item->id ? JHtml::_('grid.id', $i, $item->id) : ''; ?></td>
								<td style="text-align: center;">
									<div class="btn-group">
										<?php echo $item->id ? JHtml::_('jgrid.action', $i, 'homework.result.delete', '', 'Delete', 'Delete', 'Delete', true, 'delete', 'delete') : '';?>
									</div>
								</td>
								<td class="nowrap">
									<?php
									if($item->id){
										$link = 'index.php?option=com_joomla_lms&task=homework.result.show';
										$link .= '&course_id='.$this->state->get('courseId');
										$link .= '&id='.$item->id;
										if($this->Itemid){
											$link .= '&Itemid='.$this->Itemid;
										}
										$link = JRoute::_($link);
										?>
										<a href="<?php echo $link;?>">
											<?php echo $item->name;?>
										</a>
										<?php
									} else {
										echo $item->name;
									}
									?>
									<div class="hidden-tablet hidden-phone">
										<?php echo $item->username;?>, <?php echo $item->email;?>
									</div>
								</td>
								<td class="center">
									<?php
									if(isset($item->hw_status) && $item->hw_status){
										$tip_title = JText::_('Status');
										$tip_text = JText::_('');
										$icon_class = '';
										if($item->hw_status == 1){
											$tip_title = JText::_('Not seen');
											$tip_text = JText::_('');
											$icon_class = 'eye-close';
										}
										if($item->hw_status == 2){
											$tip_title = JText::_('Seen');
											$tip_text = JText::_('');
											$icon_class = 'eye-open';
										}
										if($item->hw_status == 3){
											$tip_title = JText::_('Checked');
											$tip_text = JText::_('');
											$icon_class = 'checkmark-2';
										}
										?>
										<span class="btn btn-micro disabled hasTooltip" title="<?php echo JHtml::tooltipText($tip_title, $tip_text);?>">
											<i class="icon-<?php echo $icon_class;?>"></i>
										</span>
									<?php
									}
									?>
								</td>
								<td class="center">
									<?php echo $item->grade;?>
								</td>
								<td class="hidden-tablet hidden-phone">
									<?php echo $item->listGroupNames;?>
								</td>
								<td class="nowrap">
									<?php echo $item->hw_date;?>
								</td>

							</tr>
						<?php
						}
					}
					?>
					</tbody>
				</table>

				<div class="center">
					<?php echo $this->pagination->getResultsCounter();?>
					<?php echo $this->pagination->getListFooter();?>
				</div>

			</div>
			<?php
			} else {
				?>
				<div class="well center"><?php echo JText::_('No homework completed by students');?></div>
			<?php
			}
			?>

			<input type="hidden" name="task" value="homework.results.show" />
			<input type="hidden" name="course_id" value="<?php echo $this->state->get('courseId');?>" />
			<input type="hidden" name="id" value="<?php echo $this->state->get('homeworkId');?>" />
			<input type="hidden" name="Itemid" value="<?php echo $this->Itemid;?>" />
			<input type="hidden" name="boxchecked" value="0">
			<?php echo JHtml::_('form.token');?>

		</form>
	</div>
</div>